Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapreduce.split
Class SplitMetaInfoReader

    java.lang.Object
      org.apache.hadoop.mapreduce.split.SplitMetaInfoReader

    public class SplitMetaInfoReader

extends Object

A (internal) utility that reads the split meta info and creates split meta info objects

Constructor Summary
`SplitMetaInfoReader()`

Method Summary
`static JobSplit.TaskSplitMetaInfo[]` | `readSplitMetaInfo(JobID jobId, FileSystem fs, Configuration conf, Path jobSubmitDir)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SplitMetaInfoReader

    public SplitMetaInfoReader()

Method Detail

### readSplitMetaInfo

    public static JobSplit.TaskSplitMetaInfo[] readSplitMetaInfo(JobID jobId,
                                                                 FileSystem fs,
                                                                 Configuration conf,
                                                                 Path jobSubmitDir)
                                                          throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation